ChangeSet 1.1500.8.18, 2004/02/04 17:05:56-08:00, scholnik@radar.nrl.navy.mil

[PATCH] USB: fix Casio digicam entry in unusual_devs.h


 drivers/usb/storage/unusual_devs.h |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Mon Feb  9 14:39:30 2004
+++ b/drivers/usb/storage/unusual_devs.h	Mon Feb  9 14:39:30 2004
@@ -604,7 +604,14 @@
  * - They don't like the INQUIRY command. So we must handle this command
  *   of the SCSI layer ourselves.
  */
-UNUSUAL_DEV( 0x07cf, 0x1001, 0x1000, 0x9999,
+UNUSUAL_DEV( 0x07cf, 0x1001, 0x1000, 0x9009,
+		"Casio",
+		"QV DigitalCamera",
+		US_SC_8070, US_PR_CB, NULL,
+		US_FL_FIX_INQUIRY ),
+
+/* Later Casio cameras apparently tell the truth */
+UNUSUAL_DEV( 0x07cf, 0x1001, 0x9010, 0x9999,
 		"Casio",
 		"QV DigitalCamera",
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
